"""
System error codes.

MicroPython module: https://docs.micropython.org/en/v1.24.0/library/errno.html

CPython module: :mod:`python:errno` https://docs.python.org/3/library/errno.html .

This module provides access to symbolic error codes for `OSError` exception.
A particular inventory of codes depends on :term:`MicroPython port`.

---
Module: 'errno' on micropython-v1.24.1-windows-GENERIC
"""

# MCU: {'family': 'micropython', 'version': '1.24.1', 'build': '', 'ver': '1.24.1', 'port': 'windows', 'board': 'GENERIC', 'cpu': 'win32 [GCC 12.0.0] version', 'mpy': 'v6.3', 'arch': ''}
# Stubber: v1.24.0
from __future__ import annotations
from typing import Dict, Any, Generator
from _typeshed import Incomplete
from typing_extensions import Awaitable, TypeAlias, TypeVar

ENOBUFS: Final[int] = 119
ENODEV: Final[int] = 19
ENOENT: Final[int] = 2
EISDIR: Final[int] = 21
EIO: Final[int] = 5
EINVAL: Final[int] = 22
EPERM: Final[int] = 1
ETIMEDOUT: Final[int] = 138
ENOMEM: Final[int] = 12
EOPNOTSUPP: Final[int] = 130
ENOTCONN: Final[int] = 126
errorcode: dict = {}
EAGAIN: Final[int] = 11
EALREADY: Final[int] = 103
EBADF: Final[int] = 9
EADDRINUSE: Final[int] = 100
EACCES: Final[int] = 13
EINPROGRESS: Final[int] = 112
EEXIST: Final[int] = 17
EHOSTUNREACH: Final[int] = 110
ECONNABORTED: Final[int] = 106
ECONNRESET: Final[int] = 108
ECONNREFUSED: Final[int] = 107
